CREATE TABLE hwp_arch_data_mining_reasons (
    ENTERPRISE_ID        NUMBER(18, 0)     NOT NULL,
    PROCESS_ID           NUMBER(18, 0) ,
    PERSON_ID            NUMBER(18, 0) ,
    ASSIGNMENT_ID        NUMBER(18, 0) ,
    ATTR_CODE            VARCHAR2(800) ,
    ATTR_VALUE           VARCHAR2(4000),
    PRED_WEIGHT          NUMBER        ,
    PRED_WEIGHT_PCT      NUMBER        ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    ENTERPRISE_ID        NUMBER(18, 0)     NOT NULL,
    PROCESS_ID           NUMBER(18, 0) ,
    PERSON_ID            NUMBER(18, 0) ,
    ASSIGNMENT_ID        NUMBER(18, 0) ,
    ATTR_CODE            VARCHAR2(800) ,
    ATTR_VALUE           VARCHAR2(4000),
    PRED_WEIGHT          NUMBER        ,
    PRED_WEIGHT_PCT      NUMBER        ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_hwp_arch_data_mining_reasons PRIMARY KEY (PROCESS_ID, PERSON_ID, ASSIGNMENT_ID, ATTR_CODE, PROCESS_ID, PERSON_ID, ASSIGNMENT_ID, ATTR_CODE)
);
